Debian Bug report logs - #662234
ufsutils .deb not included in CD image

version graph

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: Evgeni Golov <evgeni@debian.org>

Date: Sun, 4 Mar 2012 21:00:02 UTC

Severity: grave

Tags: patch

Fixed in version debian-cd/3.1.8

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, evgeni@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#662234; Package ufsutils. (Sun, 04 Mar 2012 21:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
New Bug report received and forwarded. Copy sent to evgeni@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 04 Mar 2012 21:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: isn't installed on fresh installs - makes system unbootable
Date: Sun, 04 Mar 2012 14:46:32 -0500
Package: ufsutils
Version: 8.2-3
Severity: grave

Hi,

I've installed Debian/kFreeBSD from today's netinst iso in a VM.
The ISO contains the ufsutils udeb, but not deb. Neither is it fetched from
the mirror and installed in the target (I've chosen only "standard" in
tasksel). This results in a unbootable system, as on reboot, it tries
to check the rootfs and fails to find fsck.ufs and throws me into a rescue
shell.

Regards
Evgeni

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ufsutils depends on:
ii  libbsd0   0.3.0-1
ii  libc0.1   2.13-26
ii  libedit2  2.11-20080614-3

ufsutils recommends no packages.

ufsutils suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#662234; Package ufsutils. (Sun, 04 Mar 2012 21:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 04 Mar 2012 21:39:09 GMT) Full text and rfc822 format available.

Message #10 received at 662234@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Evgeni Golov <evgeni@debian.org>, 662234@bugs.debian.org
Cc: debian-cd@packages.debian.org
Subject: Re: Bug#662234: isn't installed on fresh installs - makes system unbootable
Date: Sun, 4 Mar 2012 22:37:09 +0100
[Message part 1 (text/plain, inline)]
reassign 662234 debian-cd
retitle 662234 ufsutils .deb not included in CD image
tags 662234 patch
thanks

Hi,

El 4 de març de 2012 20:46, Evgeni Golov <evgeni@debian.org> ha escrit:
> I've installed Debian/kFreeBSD from today's netinst iso in a VM.
> The ISO contains the ufsutils udeb, but not deb. Neither is it fetched from
> the mirror and installed in the target (I've chosen only "standard" in
> tasksel). This results in a unbootable system, as on reboot, it tries
> to check the rootfs and fails to find fsck.ufs and throws me into a rescue
> shell.

debian-cd bug.  Here's a patch.

-- 
Robert Millan
[ufsutils.diff (text/plain, attachment)]

Bug reassigned from package 'ufsutils' to 'debian-cd'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 21:39:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ufsutils/8.2-3. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 21:39:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'ufsutils .deb not included in CD image' from 'isn't installed on fresh installs - makes system unbootable' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 21:39:12 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 21:39:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Sun, 04 Mar 2012 22:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#662234; Package debian-cd. (Sun, 04 Mar 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Sun, 04 Mar 2012 22:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 662234@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Robert Millan <rmh@debian.org>
Cc: 662234@bugs.debian.org
Subject: Re: Bug#662234: isn't installed on fresh installs - makes system unbootable
Date: Sun, 4 Mar 2012 22:23:54 +0000
On Sun, Mar 04, 2012 at 10:37:09PM +0100, Robert Millan wrote:
>reassign 662234 debian-cd
>retitle 662234 ufsutils .deb not included in CD image
>tags 662234 patch
>thanks
>
>Hi,
>
>El 4 de març de 2012 20:46, Evgeni Golov <evgeni@debian.org> ha escrit:
>> I've installed Debian/kFreeBSD from today's netinst iso in a VM.
>> The ISO contains the ufsutils udeb, but not deb. Neither is it fetched from
>> the mirror and installed in the target (I've chosen only "standard" in
>> tasksel). This results in a unbootable system, as on reboot, it tries
>> to check the rootfs and fails to find fsck.ufs and throws me into a rescue
>> shell.
>
>debian-cd bug.  Here's a patch.

Applied in svn ready for the next daily/weekly builds to use.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Is there anybody out there?





Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Fri, 04 May 2012 15:36:16 GMT) Full text and rfc822 format available.

Notification sent to Evgeni Golov <evgeni@debian.org>:
Bug acknowledged by developer. (Fri, 04 May 2012 15:36:16 GMT) Full text and rfc822 format available.

Message #30 received at 662234-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 662234-close@bugs.debian.org
Subject: Bug#662234: fixed in debian-cd 3.1.8
Date: Fri, 04 May 2012 15:32:55 +0000
Source: debian-cd
Source-Version: 3.1.8

We believe that the bug you reported is fixed in the latest version of
debian-cd, which is due to be installed in the Debian FTP archive:

debian-cd_3.1.8.dsc
  to main/d/debian-cd/debian-cd_3.1.8.dsc
debian-cd_3.1.8.tar.gz
  to main/d/debian-cd/debian-cd_3.1.8.tar.gz
debian-cd_3.1.8_all.deb
  to main/d/debian-cd/debian-cd_3.1.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662234@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated debian-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 04 May 2012 16:13:42 +0100
Source: debian-cd
Binary: debian-cd
Architecture: source all
Version: 3.1.8
Distribution: unstable
Urgency: low
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 debian-cd  - Tools for building (Official) Debian CD set
Closes: 495102 636265 648690 650926 651530 662234
Changes: 
 debian-cd (3.1.8) unstable; urgency=low
 .
   [ Steve McIntyre ]
   * Switch i386 kernel flavours again on advice from Ben:
     + Removed all mention of 686-bigmem as it's now gone
     + Added 686-pae onto CD#1 in place of 686
     + Leave the 486 kernel on CD#1 still, for people who can't use 686-pae
     + Add zfsutils into the generate_d-i+k_list for kfreebsd users.
   * Add support for translated package description files. Closes: #495102
     + Add needed dependency on bzip2
     + Other minor cleanups in tools/make_disc_trees.pl
   * Fix "expert" mode in yaboot for powerpc. Closes: #636265. Thanks to
     Milan Kupcevic for the patch.
   * Update list of Linux kernel packages. Closes: #648690. Thanks to Ben
     Hutchings for the patch.
   * Remove lots of old stuff neither needed nor supported any more:
     + removed architectures: alpha arm hppa
     + removed releases: etch lenny
     + removed unversioned data/sparc and data/yaboot, versioned
       equivalents are in place already.
   * tools/generate_firmware_task: Add LOCALDEBS support
   * Add more armel kernel flavours
   * Add armhf as a known architecture, merging common armel/armhf boot
     setup scripts.
   * Remove hppa boot script, unsupported now.
   * Tweak command line options for creating source images: add -joliet-long
 .
   [ Joey Hess ]
   * Read tasksel's debian-tasks.desc from its new location.
 .
   [ Ian Campbell ]
   * Rename "xm-debian.cfg" to just "debian.cfg" for Xen config.
 .
   [ Raphaël Hertzog ]
   * Changes triggered by various lintian warnings:
     + Switch to “3.0 (native)” source format to get rid of .svn
       directories in the source package (when built from the svn checkout
       directly)
     + Support build-arch/build-indep targets in debian/rules.
     + Drop executable rights from tools/boot/wheezy/boot-hurd
       (and fix debian/rules to not re-add it).
     + Bump Standards-Version to 3.9.2 (no change required).
 .
   [ Philipp Kern ]
   * Add an extra tweaked version of d390.ins for s390 booting. The
     Hardware Management Console needs the file to be in the root
     directory.
 .
   [ Robert Millan ]
   * Add kfreebsd 9. Closes: #650926
   * Add graphical installer image for kfreebsd-amd64. Closes: #651530
   * generate_d-i+k_list: Add ufutils. Closes: #662234
Checksums-Sha1: 
 65db70665693120dc7f34a925eaf896fbed5bb84 1676 debian-cd_3.1.8.dsc
 066b073a23ff67185d882a321b3b81a1374e6f69 837073 debian-cd_3.1.8.tar.gz
 00a43b120d053525946649aaa414a389f0721ade 844840 debian-cd_3.1.8_all.deb
Checksums-Sha256: 
 12ff2cd6c14b63568c2b4380a8622b3854cfa23077df4f56edb2b63df2656b50 1676 debian-cd_3.1.8.dsc
 1e6858005bd07a7d7bc6c44a650338137285f9a8effaf484ead91ed274ce5b2f 837073 debian-cd_3.1.8.tar.gz
 8e841a0a1ef7ae84724d499e4915707d693eca5be396549e983aacf02c683269 844840 debian-cd_3.1.8_all.deb
Files: 
 6087fd075d6d2f40c7ca40faceb06a92 1676 admin extra debian-cd_3.1.8.dsc
 4692a91d15af7ec102786dd6854b18a3 837073 admin extra debian-cd_3.1.8.tar.gz
 1ac0a12fa62cf94fb1ef84965ba6b00d 844840 admin extra debian-cd_3.1.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPo/LIAAoJEFh5eVc0QmhOW0cQAIcY+Xv9vrHOAuFNNDjt/3Ky
aj/VJCeoo1H9m4RP3eCi0L9eo/TQuFuTroMBG1sKbv+ldsYWDDy/XIS+QxV/UAjA
KnZPgkQ8gtOUU5NzERN7/j0XS6YbrdTbmdBE7LwJY+9cP8SRSNIdZx8TcNdXvvKg
yMfyTIs2TT1ShBLszB7IbutrEZMseLwgzJEd7bNnfQOHGuwaZwJibRqKBVGiBP/B
xPITKOiLLOOYANAebh5JNmzF3qPu9GWJX+IYPySe6ho9z0Z3epHsI2oJBOMJkFbr
XmWEmCFJDFkioYqpoYNGfcIOv3Lg6mI8KJGoj+CtpRZKF0gFt5L4mQK3VmNkzn9E
9ttDcN2ECaJNNpOncnnGBqrxh+GGD+bxhGRhhssDPjZQaL0MaAa0TPtxU0teWkPO
+TjeG/q1YHS5J4LbKRcGiTB0ziMYwH3HMZIzkdFyMz9XAdj/njnuz0uCBjKnWySI
lstqk9/5CIz02ToZ1b7iJ8jyNJ1ZrV6ygzUIbw8UUvWlQLhHbT5N4+4U8IhzEnh/
V2cymvUngvW4cOJV0MXPEVDElkYBhWgkHfjFvfU0CHpB+RKpm8EDoSNk55cfsIy9
8KBk4OsZ5OzK2pvVg6EU/J7zOh1MqKpeH7var0JVb096fUrjdaNtW35Wv9mEqMJQ
bPhyAz/Txmqnv9LJ8zHG
=GQfb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:39:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:20:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.